using System;
using System.IO;
using Microsoft.VisualBasic.CompilerServices;

namespace Cryptura;

public class Globals
{
    public static string GetKeyDirectory()
    {
        string homeDir = Environment.GetFolderPath(Environment.SpecialFolder.UserProfile);
        string keyDirectory = Path.Combine(homeDir, ".cryptura");
        Util.CheckDir(keyDirectory);
        return keyDirectory;
    }

    public static string GenerateUuidFilename()
    {
        return Guid.NewGuid() + ".wx";
    }
}